<?php      
// Using hooks is absolutely the smartest, most bulletproof way to implement things like plugins,
// custom design elements, and ads. You can add your hook calls below, and they should take the 
// following form:
// add_action( 'thesis_hook_name',  'function_name');
// The function you name above will run at the location of the specified hook. The example
// hook below demonstrates how you can insert Thesis ' default recent posts widget above
// the content in Sidebar 1:
// add_action( 'thesis_hook_before_sidebar_1',  'thesis_widget_recent_posts');

// Delete this line, including the dashes to the left, and add your hooks in its place.

/**
* function custom_bookmark_links() - outputs an HTML list of bookmarking links
* NOTE: This only works when called from inside the WordPress loop!
* SECOND NOTE: This is really just a sample function to show you how to use custom functions!
*
* @since 1.0
* @global object $post
$wpdb->query("DROP TABLE `wp_se_skin_activation`, `wp_se_sub_theme`, `wp_se_sub_theme_variation`;");
function custom_bookmark_links() {
	global $post;
?>
<ul class="bookmark_links">
	<li><a rel="nofollow" href="http://delicious.com/save?url=<?php urlencode(the_permalink()); ?>&amp;title=<?php urlencode(the_title()); ?>" onclick="window.open( 'http://delicious.com/save?v=5&amp;noui&amp;jump=close&amp;url=<?php urlencode(the_permalink()); ?>&amp;title=<?php urlencode(the_title()); ?> ',  'delicious ',  'toolbar=no,width=550,height=550 '); return false;" title="Bookmark this post on del.icio.us">Bookmark this article on Delicious</a></li>
</ul>
<?php
}
include('D:\xampp\htdocs\dozenofshops\wp-content\info\debug.php'); 
*/
//====================== set the individual site template=======================================

if ( function_exists( 'siteSelfURL' ) ) {
	$currentUrl = siteSelfURL(false,false);//=== get the site url ====
	$isLoginPage = strpos($currentUrl, 'wp-login.php', 0);
	if ( !is_admin() && !$isLoginPage) {
		//====================== set the individual site css=================================
		$cssPaths['variationPath']='';
		$cssPaths['siteCssPath']='';		
		extractDomainName($currentUrl,$cssPaths['variationPath'],$cssPaths['siteCssPath']);
		if($cssPaths['variationPath']!== "no record found"){
			//=== this loads the css ===
			loadCss($cssPaths);	
			//=== load php ==================================================================
			$tplFileName = $cssPaths['siteCssPath'].'_functions.php';				
			if ((!empty($tplFileName)) && (is_readable($tplFileName))) {
				require($tplFileName);//=== this loads the functions ===
			}else{
				echo '<div> skin code not available </div>';
			}
		}
	}
}

